Subject: Re: latest tree build failure -- cpm uart & gpio

From: Anton Vorontsov <[email-masked]>
Date: Wed, 23 Jul 2008 00:48:27 +0400

On Tue, Jul 22, 2008 at 12:33:16PM -0700, David Brownell wrote:
> On Tuesday 22 July 2008, Anton Vorontsov wrote:
> > On Tue, Jul 22, 2008 at 08:54:16AM -0500, Kumar Gala wrote:
> > > can someone look at the following compile failure in linus's tree.  I'm 
> > > guessing part of this has to do with Alan's tty changes (and might  
> > > already be addressed?).
> > >
> > > include/asm-generic/gpio.h:131: error: implicit declaration of function 
> > > 'gpio_get_value'
> > > include/asm-generic/gpio.h:137: error: implicit declaration of function 
> > > 'gpio_set_value'
> > 
> > I think this patch should help:
> > 
> > [OF] of_gpio: should use new <linux/gpio.h> header
> > http://patchwork.ozlabs.org/linuxppc/patch?id=18750
> 
> Is that confirmed as fixing this, vs just being the Right Thing To Do?

Just applied the patch locally and the issue is not reproducible
anymore.

> > David, can you please Ack it? See Benjamin's mail:
> > http://ozlabs.org/pipermail/linuxppc-dev/2008-July/060109.html
> 
> If you like ... but this is an OF-specific change, making
> it conform with the interface spec, so I wouldn't expect
> this to need more approvals than it's already got.
> 
> Acked-by: David Brownell <[email-masked]>

Thanks.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2